"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function serverlessHapi(server) {
    return function (event, _context, callback) {
        var azEvent = event;
        var options = {
            method: event.httpMethod || (azEvent.req && azEvent.req.method),
            url: event.path ||
                (azEvent.req && (azEvent.req.url || azEvent.req.originalUrl)),
            headers: event.headers || (azEvent.req && azEvent.req.headers),
        };
        server.inject(options, function (hapiResponse) {
            var doneCallback = callback || azEvent.done;
            var statusCode = hapiResponse.statusCode;
            var body = hapiResponse.result;
            var data = { statusCode: statusCode, body: body };
            var response = !callback ? { res: data } : data;
            doneCallback(null, response);
        });
    };
}
exports.serverlessHapi = serverlessHapi;
